It can't install in FossaMail Rated 1 out of 5 stars

Alright, I gave it a look and it can't install in FM 24.2.0b1- but it could install in TB 24.2.

I also went to the support page which then insisted on creating an account at Sourceforge. I no longer trust SF due to it's recent changes and the account also could not be created no matter how much I juggled things around. Even if that did work that is an awful lot of steps!

If it can be modified to work correctly I will come back and write a better review. Until then it is 1*

This review is for a previous version of the add-on (1.6).